/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pwrace2;

/**
 *
 * @author ghewitt
 */
import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.border.Border;
import javax.swing.table.TableCellRenderer;
import java.awt.Component;
import java.awt.Font;

public class CarNumberRenderer extends JLabel
                           implements TableCellRenderer {
    Border unselectedBorder = null;
    Border selectedBorder = null;
    boolean isBordered = true;

    public CarNumberRenderer(boolean isBordered) {
        this.isBordered = isBordered;
        setOpaque(true); //MUST do this for background to show up.
    }

    public Component getTableCellRendererComponent(
                            JTable table, Object jlabel,
                            boolean isSelected, boolean hasFocus,
                            int row, int column) {
        JLabel newLabel = (JLabel) jlabel;
        Font newFont = newLabel.getFont().deriveFont(Font.BOLD);
        setBackground(newLabel.getBackground());
        setForeground(newLabel.getForeground());
        setText(newLabel.getText());
        setFont(newFont);
        setHorizontalAlignment(CENTER);
        if (isBordered) {
            if (isSelected) {
                if (selectedBorder == null) {
                    selectedBorder = BorderFactory.createMatteBorder(1,1,1,1,
                                              table.getSelectionBackground());
                }
                setBorder(selectedBorder);
            } else {
                if (unselectedBorder == null) {
                    unselectedBorder = BorderFactory.createMatteBorder(1,1,1,1,
                                              table.getBackground());
                }
                setBorder(unselectedBorder);
            }
        }
        return this;
    }
}